package main

import (
	"clickandjoin.app/emailserver/mailer"
	"clickandjoin.app/emailserver/modules/config"
	"clickandjoin.app/emailserver/modules/rabbitmq"
	"github.com/sirupsen/logrus"
)

func init() {
	config.LoadConfig()

	if config.Cfg.Debug {
		logrus.SetLevel(logrus.DebugLevel)
	}

	logrus.Println("Debug:", config.Cfg.Debug)

	mailer.Init()
}

func main() {
	rabbitmq.Init()
}
